import { css } from "@linaria/core";
import { string } from "vue-types";
import { useCompData } from ".";
import { Image, Text } from "../../../basicUI";
import { createUIComp } from "../../../defines/createUIComp";

export const Component = createUIComp({
  props: {
    compId: string().isRequired,
  },
  setup(props) {
    const { children } = useCompData(props.compId);

    return () => (
      <div class={rootStyles}>
        <Text.Component compId={children.text?.id} />
        <div class="w-6.22rem mx-auto mt-0.4rem">
          <Image.Component
            compId={children.img1.id}
            class="w-6.22rem h-6.22rem object-cover"
          />
        </div>
        <div>
          <Text.Component compId={children.text2?.id} />
        </div>
      </div>
    );
  },
});

const rootStyles = css``;
