import { createAttrsForm } from "../../../defines/createAttrsForm";
import { createOptions } from "../../../defines/createOptions";
import { GroupNumber } from "../../../formItems/GroupNumber";

export { Component } from "./component";

const thumbnail = "https://sku3d-test.obs.cn-east-3.myhuaweicloud.com/queenshow/1685592084017_Wu5DW5_thumbnail.png"
export const { options, useCompData } = createOptions({
  name: "卡片4",
  thumbnail:thumbnail,
  value: {
  },
  layout: {
    padding: "0.2rem",
  },
  children: {
    bgImg: {
      compKey: "Image",
      value: { url: thumbnail, x: 27.50, y:-6.50, s: 3.50 },
    },
    title: {
        compKey: "Title3",
        layout: {
            margin: "0 0 0.4rem 0"
        },
        children: {
            title: {
              value: `<p style="text-align:center;"><span style="color:#333;font-size:20px;font-weight: bold;">产品详情</span></p>`,
            },
            subtitle: {
                value: `<p style="text-align:center;">/ Product Details /</p>`,
            },
        },
    },
    text1: {
        compKey: "Text",
        value:  `<p><span style="color:hsl(0, 0%, 60%);font-size:14px;"><strong>名称: &nbsp; P190（注塑）</strong></span></p><p><span style="color:hsl(0, 0%, 60%);font-size:14px;"><strong>规格: &nbsp; 52英寸</strong></span><br><span style="color:hsl(0, 0%, 60%);font-size:14px;"><strong>厚度: &nbsp; 1.0mm+0.05mm</strong></span></p><p><span style="color:hsl(0, 0%, 60%);font-size:14px;"><strong>底材: &nbsp; 鹿皮绒</strong></span></p><p><span style="color:hsl(0, 0%, 60%);font-size:14px;"><strong>用途: &nbsp; 凉鞋、跟鞋、高更鞋、</strong></span><br><span style="color:hsl(0, 0%, 60%);font-size:14px;"><strong>&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;时尚休闲鞋等</strong></span></p>`,
    }
  },
});

export const Form = createAttrsForm([
  {
    label: "图片尺寸",
    dataIndex: "value.imgSize",
    component: GroupNumber,
    props: {
      labels: ["宽", "高"],
    },
  },
]);
