import { Dict_Imgs } from "@/dict";
import { watch } from "vue";
import { string } from "vue-types";
import { useChildCreator, useCompData } from ".";
import { useEditor } from "../../../../..";
import { Image, Image2, Text } from "../../../basicUI";
import { createUIComp } from "../../../defines/createUIComp";

export const Component = createUIComp({
  props: {
    compId: string().isRequired,
  },
  setup(props) {
    const { helper } = useEditor();
    const comp = useCompData(props.compId);
    const createList = useChildCreator("list");

    watch(
      () => [comp.value.total],
      () => {
        const { total } = comp.value;
        const offset = total - comp.children.list.length;
        if (offset > 0) {
          comp.children.list.push(...createList(offset));
        } else {
          comp.children.list.splice(total, offset * -1);
        }
      }
    );

    return () => (
      <div
        class="grid"
        style={{
          gridTemplateColumns: `repeat(${value.columns}, 1fr)`,
          gridGap: helper.designToNaturalSize(value.gap),
        }}
      >
        {value.list.map((d, i) => (
          <div key={i}>
            <Image2.Component
              style={{ height: helper.designToNaturalSize(value.imgHeight) }}
              compId={d.id}
            />
            {value.showDesc && <Text.Component v-model={[d.desc, "value"]} />}
          </div>
        ))}
      </div>
    );
  },
});
