import { Dict_Imgs } from "@/dict";
import { InputNumber } from "ant-design-vue";
import { createAttrsForm } from "../../../defines/createAttrsForm";
import { CompFactory, createCompHooks } from "../../../defines/createCompHooks";

export { Component } from "./component";

export const config = {
  name: "卡片列表",
  thumbnail: Dict_Imgs.Default,
};

export const { createComp, useCompData, useChildCreator } = createCompHooks({
  value: {
    gap: 10,
    columns: 3,
    total: 3,
    imgHeight: 120,
    showDesc: true,
  },
  children: {
    list: (length = 3) =>
      Array.from({ length }, () => ({
        img: CompFactory.create("Image"),
        desc: CompFactory.create("Text"),
      })),
    img1: () => CompFactory.create("Image"),
  },
});

export const Form = createAttrsForm([
  {
    label: "卡片总数",
    dataIndex: "value.total",
    component: InputNumber,
  },
  {
    label: "每行数量",
    dataIndex: "value.columns",
    component: InputNumber,
  },
  {
    label: "卡片间距",
    dataIndex: "value.gap",
    component: InputNumber,
  },
  {
    label: "图片高度",
    dataIndex: "value.imgHeight",
    component: InputNumber,
  },
  {
    label: "显示描述",
    dataIndex: "value.showDesc",
    component: "Switch",
  },
]);
